Frage So suchen Sie nach einer installierten Anwendung in Linux


rpm -e jdk-1.6.0_17-fcs Fehler: Fehlgeschlagene Abhängigkeiten:     jdk wird von (installiertem) xyz.i586 benötigt Ich habe versucht, nach xyz.i586 zu suchen suche / -name xyz.i586

aber kein Ergebnis.


0
2017-10-12 10:44


Ursprung


Es würde helfen, wenn Sie aufzählen, welche Linux-Distribution Sie verwenden. Von Ihrer Frage können wir nur annehmen, dass es rpm basiert (redhat, fedora, centOS?) - mrchampe


Antworten:


Haben Sie die Option -q versucht?

$ rpm -q jdk

jdk-1.6.0_34-fcs.x86_64

1
2017-10-12 12:46





Anstatt -q-Flag zu verwenden

$ rpm -q jdk

Ich würde -qa Flag verwenden und dann grep ausgeben

$ rpm -qa | grep jdk
java-1.6.0-openjdk-1.6.0.0-1.49.1.11.4.el6_3.x86_64

Da es ein breiteres Netz wirft und Java-Pakete auflistet, die möglicherweise nicht mit "jdk" beginnen


0
2017-10-12 18:10





(Oh, Sie verwenden eine alte JDK-Version, ich verstehe, dass Sie sie deinstallieren möchten.)

Um herauszufinden, ob xyz Ist installiert Ich würde verwenden:

rpm -q -a | grep xyz

Aber du weiß schon  xyz ist installiert: jdk lehnt das Deinstallieren ab, weil es von benötigt wird xyz.

Vielleicht willst du wissen wo xyz ist oder was es ist ?. Verwenden Sie dies, um alle Paketdateien aufzulisten xyz:

rpm -q -l xyz

und dies um eine Beschreibung von zu zeigen xyz:

rpm -q -i xyz

Wenn Sie nicht brauchen xyz Sie können beide deinstallieren xyz und jdk wie folgt:

rpm -e xyz jdk

0
2017-10-13 20:36





Wo das Programm installiert wurde (einschließlich aller unterstützenden Dateien, also kann es eine lange Liste sein, die Sie durchsuchen müssen)

dpkg-query -L Firefox

Suchen Sie für das Menüelement, das das Paket enthält, in der Ausgabe von dpkg-query nach einer Datei in / usr / share / menu:

dpkg-query -L firefox | grep / usr / teilen / menu

In dieser Datei sollten Sie "section =" finden. Die Zeichenfolge nach diesem Text sollte angeben, wo im Menüsystem der Link zur Anwendung zu finden ist.

Um zu erfahren, in welche Kategorien Ubuntu das Paket einfügt, könnten Sie versuchen:

Eignung anzeigen Firefox


-1
2017-10-12 12:49



dpkg und aptitude werden wahrscheinlich nicht nützlich sein, da das OP auf fehlende RPMs verweist - mrchampe